<!--
 *******************************************************************************
 * Copyright (c) 2018 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************
-->


<div class="panel panel-default" style="width:100%;">
  <div class="panel-heading" style="display: inline-flex; width: 100%;padding: 0px 0px 0px 0px">
    <h4 class="panel-title" style="width: 100%;padding: 10px 15px">
      <a [ngClass]="(!isExpanded)?'glyphicon glyphicon-chevron-down':'glyphicon glyphicon-chevron-up'" href="#collapse4"
        (click)="isExpanded = !isExpanded" data-toggle="collapse"></a>
      <a *ngIf="isCollapsible" data-toggle="collapse" href="#collapse4" (click)="isExpanded = !isExpanded">Aktuelle
        Netzmaßnahmen
      </a>
      <div *ngIf="!isCollapsible">Aktuelle Netzmaßnahmen</div>
    </h4>
    <div class="filter-options">
      <label class="switch">
        <input type="checkbox" [(ngModel)]="statusMainFilter.item.onlyUsersGMsDesired" (change)="setDirty();retrieveData()">
        <span class="slider round"></span>
      </label>
      <label>Meine Vorgänge</label>
      <label class="switch">
        <input type="checkbox" [disabled]="statusMainFilter.item.onlyUsersGMsDesired" [(ngModel)]="statusMainFilter.item.isClosedStatusActive "
          (change)="setDirty();retrieveData() ">
        <span class="slider round " [style.cursor]="statusMainFilter.item.onlyUsersGMsDesired ? 'not-allowed' : 'pointer'"></span>
      </label>
      <label>Geschlossene</label>
      <label class="switch ">
        <input type="checkbox" [disabled]="statusMainFilter.item.onlyUsersGMsDesired" [(ngModel)]="statusMainFilter.item.isCanceledStatusActive "
          (change)="setDirty();retrieveData() ">
        <span class="slider round " [style.cursor]="statusMainFilter.item.onlyUsersGMsDesired ? 'not-allowed' : 'pointer'"></span>
      </label>
      <label>Stornierte</label>
    </div>
    <div class="save-filter ">
      <button [disabled]="!settingsIsDirty" type="button" class="btn btn-default btn-sm" (click)="saveSettings()
          "
        title="Einstellungen speichern ">
        <i class="fa fa-floppy-o fa-lg " aria-hidden="true "></i>Filter Speichern
      </button>
    </div>
  </div>
  <div id="collapse4" style="width:100%;" class="panel-collapse collapse in " [ngClass]="{ 'in': isCollapsible}">
    <div id="grid-wrapper" class="panel-body" style="width:100%;">
      <ag-grid-angular *ngIf="!showSpinner" [style.height.px]="calcGridHeight()" class="ag-theme-balham" [gridOptions]="gridOptions"
        [rowData]="gridmeasures">
      </ag-grid-angular>
      <app-loading-spinner *ngIf="showSpinner "></app-loading-spinner>
    </div>
  </div>
</div>